Shuffle ->
Arg Dest : &List : T,
    Src : A|L : <T>

Mix : List : Integer <- List : [Src._ % 2] = <> ..

Do Mix->Random( 1, Src._ ) .= Element
With Element from Src

Do Dest ||= List
With R, List from Mix

/